Skip to main content
GET
/
projects
/
{project_id}
/
events
/
{event_id}
Retrieve an event
curl --request GET \
  --url https://app.gomangrove.com/api/v1/projects/{project_id}/events/{event_id} \
  --header 'Authorization: <api-key>'
{
  "id": "evt_DLnYvzbjSujNAvXE",
  "slug": "biochar-delivery",
  "event_type": "Biochar Delivery",
  "tracking_id": "MG1003",
  "start_time": "2024-06-04T00:00:00.000Z",
  "end_time": "2024-06-04T23:59:59.000Z",
  "has_rule_alerts": true,
  "data_points": [
    {
      "id": "in_JuGzRS08MbVSEkCj",
      "slug": "total-ash-delivered-wet-us-ton",
      "data_point_type": "Total Ash Delivered (wet mass) U.S. ton",
      "value": 290.6,
      "unit": "U.S. ton",
      "status": "complete",
      "rule_results": [
        {
          "id": "dpres_8XF1QtGs79oX9A6k",
          "status": "fail",
          "entered_value": "290.6",
          "rule_id": "rule_Qb3k9TzdL0pWnXyz",
          "rule_version": 2,
          "rule_name": "Ash mass within expected range",
          "data_point_id": "in_JuGzRS08MbVSEkCj",
          "data_point_slug": "total-ash-delivered-wet-us-ton",
          "dismissed_at": null,
          "dismissed_by": null,
          "dismissal_reason": null,
          "evaluated_at": "2024-06-04T12:00:00.000Z"
        }
      ]
    },
    {
      "id": "in_c3krFTxCxJSQR5Rc",
      "slug": "distance-biochar-transported",
      "data_point_type": "Biochar distance transported",
      "value": 15.3,
      "unit": "mile",
      "status": "complete",
      "rule_results": []
    },
    {
      "id": "in_AIKqFEtr5OpAqram",
      "slug": "biochar-end-use",
      "data_point_type": "Biochar end use",
      "value": "soil amendment",
      "unit": null,
      "status": "complete",
      "rule_results": []
    }
  ],
  "locations": [
    {
      "id": "loc_8XF1QtGs79oX9A6k",
      "lat": "40.4773493",
      "long": "-124.1226179",
      "name": "Production Facility",
      "address": {
        "name": "Production Facility",
        "street_address_1": null,
        "street_address_2": null,
        "city": null,
        "state": null,
        "postal_code": null,
        "country": "CA"
      }
    },
    {
      "id": "loc_8XF1QtGs79oX9A6k",
      "lat": "41.2733453",
      "long": "-122.2246676",
      "name": "Customer Location",
      "address": {
        "name": "Customer Location",
        "street_address_1": null,
        "street_address_2": null,
        "city": null,
        "state": null,
        "postal_code": null,
        "country": "CA"
      }
    }
  ],
  "evidences": [
    {
      "id": 1,
      "url": "XXXXXXX",
      "evidence_type": "file",
      "name": "Receipt.pdf"
    }
  ]
}

Authorizations

Authorization
string
header
required

Path Parameters

project_id
string
required
event_id
string
required

Unique event ID in the evt_XXXX syntax. For example: evt_DLnYvzbjSujNAvXE

Response

200